<?php
// $Id: padfile_views_handler_field_support_email.inc,v 1.1.2.2 2010/02/22 06:00:54 alexiswilke Exp $

class padfile_views_handler_field_support_email extends padfile_views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['support_email'] = 'support_email';
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $form['link_to_padfile']['#title'] = t('Mail link to support department');
  }

  function render($values) {
    return $this->render_link(t('Support email'), $values,
                            'mailto:' . $values->{$this->aliases['support_email']});
  }

};

